Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#39107 - [php][apache][php-apache] uncompatible php config (multithread)

Attached to Project: Arch Linux
Opened by Seifallah Guedouari (guedouari) - Sunday, 02 March 2014, 16:34 GMT
Last edited by Dave Reisner (falconindy) - Sunday, 02 March 2014, 17:32 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:


Additional info:
* [php/php-apache]-5.5.9-2 [apche]-2.4.7-1
* LoadModule php5_module modules/libphp5.so


Steps to reproduce:
# systemctl start httpd
# systemctl status httpd -l :

httpd.service - Apache Web Server
Loaded: loaded (/usr/lib/systemd/system/httpd.service; disabled)
Active: failed (Result: exit-code) since Sun 2014-03-02 17:33:15 CET; 4s ago
Process: 1630 ExecStop=/usr/bin/apachectl graceful-stop (code=exited, status=1/FAILURE)
Process: 1986 ExecStart=/usr/bin/apachectl start (code=exited, status=1/FAILURE)
Main PID: 1399 (code=exited, status=0/SUCCESS)

Mar 02 17:33:15 DarkStar apachectl[1986]: [Sun Mar 02 17:33:15.315507 2014] [:crit] [pid 1988:tid 140302306101120] Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe. You need to recompile PHP.
Mar 02 17:33:15 DarkStar apachectl[1986]: AH00013: Pre-configuration failed
Mar 02 17:33:15 DarkStar systemd[1]: httpd.service: control process exited, code=exited status=1
Mar 02 17:33:15 DarkStar systemd[1]: Failed to start Apache Web Server.
Mar 02 17:33:15 DarkStar systemd[1]: Unit httpd.service entered failed state.

This task depends upon

Closed by  Dave Reisner (falconindy)
Sunday, 02 March 2014, 17:32 GMT
Reason for closing:  Not a bug
Comment by Pierre Schmitz (Pierre) - Sunday, 02 March 2014, 17:03 GMT
You can only use mod_php with the prefork MPM; or better don't use mod_php at all.

Loading...